Deploy RelatedArticles to all wikipedias (but enabled only in beta)
Closed, ResolvedPublic2 Story Points

Description

To allow us to begin testing the hypothesis in https://www.mediawiki.org/wiki/Reading/Web/Projects/Read_more

  • Cut new release for RelatedArticles
  • Deploy to beta cluster
  • Set wgRelatedArticlesShowInFooter = true and wgRelatedArticlesShowInSidebar = true on beta labs and get it swatted (see https://gerrit.wikimedia.org/r/257431 )
  • Add 'Cards' to the list of extensions to branch (see https://gerrit.wikimedia.org/r/257432 )
  • Add Cards as a dependency on any wiki where RelatedArticles is installed on production (see https://gerrit.wikimedia.org/r/257434 )
  • Do a release for T116838, T120735 and T120443
  • Do a SWAT deploy of latest release
  • RelatedArticles extension should be enabled on all Wikipedias after train has left the station. It should be featured flagged so that it doesn't add a parser function. (https://gerrit.wikimedia.org/r/257435 )
  • Arrange SWAT deploy window - You can SWAT deploy Monday, Tuesday, or next week - depending on who's available you should reach out to Greg to rearrange if necessary. (we will ride the train)
  • Confirm that the related articles feature does not appear in stable on mobile or desktop and thus does not impact fundraising (previously T113248)

Suggestion for Tech news entry wording:
Section "Future changes":
"A new beta feature (not enabled by default) will automatically add links to related articles after the article content."

There are a very large number of changes, so older changes are hidden. Show Older Changes
Jdlrobson updated the task description. (Show Details)Dec 1 2015, 10:23 PM
Jdlrobson added a subscriber: greg.

@bmansurov is this on @greg radar? Did you reach out to him?

Florian updated the task description. (Show Details)Dec 1 2015, 10:38 PM

No I haven't.

Johan added a subscriber: Johan.Dec 2 2015, 10:40 AM

Sure, I'll announce it in Tech News. Do you know yet when it'll be deployed to the Wikipedias?

greg added a comment.Dec 2 2015, 7:22 PM

Sorry, I can't read all of this ticket so two questions:
Are both (all?) extensions:

  1. Security reviewed?
  2. Deployed on beta cluster?

Sorry, I can't read all of this ticket so two questions:
Are both (all?) extensions:

  1. Security reviewed?

Not yet but it's at the top of @csteipps queue and the Cards extension is so simple we're not expecting too many issues.

  1. Deployed on beta cluster?

RelatedArticles is (it's already in production on Wikivoyage) but latest Cards is not pending this patch - https://gerrit.wikimedia.org/r/#/c/256396

Jdlrobson updated the task description. (Show Details)Dec 2 2015, 8:13 PM

Change 256396 had a related patch set uploaded (by Jdlrobson):
Enable RelatedArticles and Cards on beta wikipedias

https://gerrit.wikimedia.org/r/256396

Jdlrobson updated the task description. (Show Details)Dec 3 2015, 12:00 AM

Change 256396 merged by jenkins-bot:
Enable RelatedArticles and Cards on the Beta Cluster

https://gerrit.wikimedia.org/r/256396

Jdlrobson updated the task description. (Show Details)Dec 3 2015, 8:30 PM
Jdlrobson updated the task description. (Show Details)Dec 3 2015, 8:42 PM
Quiddity updated the task description. (Show Details)Dec 3 2015, 9:09 PM
bd808 added a subscriber: bd808.Dec 7 2015, 5:20 PM
bd808 added a subscriber: mmodell.Dec 7 2015, 6:27 PM

To ride the wmf.8 train on 2015-12-08 this needs a few patches prepared:

  • A patch in the spirit of https://gerrit.wikimedia.org/r/#/c/251140/ to add 'Cards' to the list of extensions to branch
  • A config change in the spirit of https://gerrit.wikimedia.org/r/#/c/251130 to go with the train:
    • Remove $IP/extensions/Cards/extension.json and $IP/extensions/RelatedArticles/extension.json from wmf-config/extension-list-labs
    • Add $IP/extensions/Cards/extension.json to wmf-config/extension-list (RelatedArticles is already in there)
    • Remove the $wmgUseRelatedArticles, $wmgRelatedArticlesShowInSidebar and $wmgRelatedArticlesShowInFooter blocks from wmf-config/CommonSettings-labs.php
    • Add $wmgUseRelatedArticles, $wmgRelatedArticlesShowInSidebar and $wmgRelatedArticlesShowInFooter blocks to wmf-config/CommonSettings.php
    • Add/update $wmgUseRelatedArticles, $wmgRelatedArticlesShowInSidebar and $wmgRelatedArticlesShowInFooter settings wmf-config/InitialiseSettings.php (all new features should be off by default)
  • A config change to run right after the train to actually enable the new features

Getting everything setup but left in a disabled state with the train will ensure that the l10n caches are ready to go when we turn it on. Splitting the deploy of the code and enabling the feature into two config changes just makes it a lot easier to quickly turn things back off if there is some unforseen issue in production.

@mmodell also needs to be pinged to let him know that these patches are in Gerrit and that a new extension deploy is going to be riding the train.

bd808 added a subscriber: Legoktm.Dec 7 2015, 7:12 PM

I was just reminded by @Legoktm that the new extension will also need to be added to the N-1 branch so that the l10n generation process doesn't freak out. This should be fairly simple for @mmodell or whoever runs the train deploy to do after the new branch has been cut.

Jdlrobson updated the task description. (Show Details)Dec 7 2015, 7:19 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson claimed this task.
Jdlrobson added a subscriber: bmansurov.

Gonna take a look

Change 257431 had a related patch set uploaded (by Jdlrobson):
Replicate Wikivoyage RelatedArticles behaviour on labs

https://gerrit.wikimedia.org/r/257431

Change 257432 had a related patch set uploaded (by Jdlrobson):
Add Cards to list of extensions to branch

https://gerrit.wikimedia.org/r/257432

Jdlrobson updated the task description. (Show Details)Dec 7 2015, 9:28 PM

Change 257435 had a related patch set uploaded (by Jdlrobson):
Enable RelatedArticles on all wikipedias in beta

https://gerrit.wikimedia.org/r/257435

Jdlrobson updated the task description. (Show Details)Dec 7 2015, 9:37 PM

Change 257431 merged by jenkins-bot:
Replicate Wikivoyage RelatedArticles behaviour on labs

https://gerrit.wikimedia.org/r/257431

bd808 updated the task description. (Show Details)Dec 7 2015, 9:42 PM
He7d3r added a subscriber: He7d3r.Dec 7 2015, 11:03 PM

Sent mail asking @20after4 for this to ride the train. Patches are all linked in the description.

Change 257434 had a related patch set uploaded (by BryanDavis):
Enable Cards and RelatedArticles so it rides the train

https://gerrit.wikimedia.org/r/257434

greg added a comment.Dec 8 2015, 12:09 AM

@mmodell is his work account :)

Change 257432 merged by jenkins-bot:
Add Cards to list of extensions to branch

https://gerrit.wikimedia.org/r/257432

Jdlrobson updated the task description. (Show Details)Dec 8 2015, 6:03 PM

It would be great if someone could write an summary page on either metawiki or mediawikiwiki that will manage some expectations, and direct feedback, even if it is [[mw:Help:RelatedArticles]].

Change 257434 merged by jenkins-bot:
Enable Cards and RelatedArticles so it rides the train

https://gerrit.wikimedia.org/r/257434

Jdlrobson updated the task description. (Show Details)Dec 8 2015, 10:23 PM

This is now riding the train.
I've added some blocking tasks that should be completed and deployed before enabling it.

Jdlrobson updated the task description. (Show Details)Dec 8 2015, 11:38 PM

Change 257435 merged by jenkins-bot:
Enable RelatedArticles on all wikipedias in beta

https://gerrit.wikimedia.org/r/257435

So the big question, why is this only going to the Wikipedias? Can someone please point to the conversations and invitations for the other sister wikis in how it could be of benefit to them.

I'm not sure why my original patch was re-created without being reviewed? Anyway, I'm glad @Jdlrobson's patch has been merged.

Change 255553 abandoned by Bmansurov:
Enable RelatedArticles and Cards on Wikipedia

Reason:
seems another patch has been submitted and merged

https://gerrit.wikimedia.org/r/255553

I am now seeing "related articles" appear at the bottom of english Wikipedia articles.

However, it is not an option in my "beta features" list. I have tested with both "Automatically enable all new beta features" ticked and un-ticked, and the "related articles" still appear regardless.

It seems the "(but enabled only in beta)" component of this project isn't working as planned.

(I'm running Chrome 47 on a Mac 10.10.2)

@Wittylama, thanks for reporting this. Can you also share a URL where this is happening. From your comment I gathered that it's happening on all article pages. It would still be helpful to get a couple of links. Thanks!

Wittylama added a comment.EditedDec 14 2015, 4:19 PM

hi @bmansurov. I created T121402 specifically for this issue as I wasn't sure if this phabricator ticket was the correct place to put things. In it, I added some more detail (like that when I tried to see how it displayed for a different user I couldn't get it to load on ANY page.

For me, it loads on EVERY page, even though I have "Automatically enable all new beta features" turned off and there is no specific Beta-features item for "related articles" specifically.
For example, "long time, no see" https://en.wikipedia.org/wiki/Long_time_no_see gives me

  • Chinglish
  • List of English words of Chinese origin
  • Chinese Pidgin English

Second example (chosen by clicking 'random article'): https://en.wikipedia.org/wiki/Gabriels,_New_York gives me

  • Hamlet
  • Adirondack Park
  • Brighton, Boston

Second example (chosen by clicking 'random article'): https://en.wikipedia.org/wiki/Gabriels,_New_York gives me

  • Hamlet

Interestingly... this is the William Shakespeare kind of Hamlet, not the small-town kind. That indicates to me that these suggestions are based solely on word frequency in the article ("Gabriels is a hamlet in the Town of Brighton in Franklin County, New York...") and doesn't actually check to notice if they are disambiguated in a different direction...

I am now seeing "related articles" appear at the bottom of english Wikipedia articles.

However, it is not an option in my "beta features" list. I have tested with both "Automatically enable all new beta features" ticked and un-ticked, and the "related articles" still appear regardless.

Confusingly the feature is listed as "read more" (only one of the extensions that powers it is called related articles). Can you confirm that shows up as I'm unable to replicate.

It seems the "(but enabled only in beta)" component of this project isn't working as planned.

(I'm running Chrome 47 on a Mac 10.10.2)

Confusingly the feature is listed as "read more" (only one of the extensions that powers it is called related articles). Can you confirm that shows up as I'm unable to replicate.

Well f*@# me!! You're quite right. It IS called "read more" on the Beta page and I didn't see it because I was looking for something called "related articles".

I've now turned it off, and can confirm that this also turns off the feature. So.. it works like it says on the tin! Feel free to close T121402 as well due to user-error!!

I did also create T121398 with a few suggestions (which is still valid) but I can put them on the talkpage of https://www.mediawiki.org/wiki/Reading/Web/Projects/Read_more if you prefer?

Confusingly the feature is listed as "read more" (only one of the extensions that powers it is called related articles). Can you confirm that shows up as I'm unable to replicate.

Well f*@# me!! You're quite right. It IS called "read more" on the Beta page and I didn't see it because I was looking for something called "related articles".

I've now turned it off, and can confirm that this also turns off the feature. So.. it works like it says on the tin! Feel free to close T121402 as well due to user-error!!

I did also create T121398 with a few suggestions (which is still valid) but I can put them on the talkpage of https://www.mediawiki.org/wiki/Reading/Web/Projects/Read_more if you prefer?

Getting those thoughts on the talk page would be great. Sadly not so many editors are viewing Phabricator so hopefully it will generate more conversations and give us an idea of what we need to focus on to improve the product! Thanks for taking the time to try it out!

I've now added my various comments on that talkpage. Cheers.